package cn.hmsoft.ltc.service.iface;

import java.sql.SQLException;
import java.util.List;

import cn.hmsoft.ltc.model.CourseQuestion;
import cn.hmsoft.ltc.model.QuestionType;

/**
 * 课程题型服务接口.
 * @author zq
 *
 */
public interface CourseQuestionService {

	void insertCourseQuestion(CourseQuestion cq);
	
	List<CourseQuestion> findCourseQuestion(Integer courseId) throws SQLException;
	
	List<CourseQuestion> findCourseQuestionByType(Integer courseId, Integer typeId) throws SQLException;
	
	void deleteCourseQuestion(Integer courseId);
	
	List<QuestionType> findQuestionTypeList(Integer courseId) throws SQLException;
}
